"use strict";

/**!
 * NewsPost Public Scripts
 *
 * @author AbsolutePlugins <support@absoluteplugins.com>
 * @package AbsolutePlugins
 * @version 1.0.7
 */
(function($) {
	"use strict";

	$(window).on("elementor/frontend/init", function() {
		elementorFrontend.hooks.addAction("frontend/element_ready/absolute-newspost.default", function(scope, $) {
			var grid = scope.find(".absp-grid");
			setTimeout(function() {
				grid.isotope({
					itemSelector: ".absp-grid-col",
					percentPosition: true,
					masonry: {
						columnWidth: 1,
						gutter: 30
					}
				}); // filter items on button click

				$('.absp-filter-item a', scope).on("click", function() {
					var self = $(this);
					grid.isotope({
						filter: self.attr("data-filter")
					});
					self.closest("ul").find("a").removeClass("is-active");
					self.addClass("is-active");
				});
			}, 10000);
		});
	});
})(jQuery);
//# sourceMappingURL=newspost.js.map
